Bug 168746 - [PATCH] Can not install theme via sysutils/xfce4-settings xfce4-appearance-settings
Summary: [PATCH] Can not install theme via sysutils/xfce4-settings xfce4-appearance-se...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 09:30 UTC by you.akira.noda
Modified: 2013-03-03 16:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description you.akira.noda 2012-06-06 09:30:08 UTC
I can not install theme of xfce4

Fix: 

flowing patch for "appearance-install-theme" is good for me.

92c92
<     dndsize=`stat -c %s "$dndfilename"`
---
>     dndsize=`stat -f %z "$dndfilename"`
103c103,104
<     tmpdir=`TMPDIR="${XDG_CACHE_HOME:-$TMPDIR}" mktemp -d`
---
>     #tmpdir=`TMPDIR="${XDG_CACHE_HOME:-$TMPDIR}" mktemp -dtap`
>     tmpdir=`mktemp -dtap`
How-To-Repeat: install sysutils/xfce4-settings 
run "xfce4-appearance-settings"
Drag & Drop the theme file.
Comment 1 Edwin Groothuis freebsd_committer 2012-06-07 11:33:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-xfce

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau 2013-02-18 21:55:27 UTC
I don't understand your second patch (about mktemp options). According to mktemp's man page [1], -dap options don't exist.

[1] http://www.freebsd.org/cgi/man.cgi?query=mktemp&manpath=FreeBSD+9.1-RELEASE

-- 
olivier
Comment 3 you.akira.noda 2013-02-19 07:58:15 UTC
Sorry the patch is wrong  "mktemp -d " is correct.
And Current version of ports(xfce4-settings-4.10.0_4) is already fixed.




2013/2/19 Olivier Duchateau <duchateau.olivier@gmail.com>

> I don't understand your second patch (about mktemp options). According to
> mktemp's man page [1], -dap options don't exist.
>
> [1]
> http://www.freebsd.org/cgi/man.cgi?query=mktemp&manpath=FreeBSD+9.1-RELEASE
>
> --
> olivier
>
Comment 4 Olivier Duchateau 2013-02-19 17:39:12 UTC
2013/2/19 noda akira <you.akira.noda@gmail.com>:
> Sorry the patch is wrong  "mktemp -d " is correct.
> And Current version of ports(xfce4-settings-4.10.0_4) is already fixed.

It's curious stat options work only on Linux system, your patch is correct.

>
>
>
>
> 2013/2/19 Olivier Duchateau <duchateau.olivier@gmail.com>
>>
>> I don't understand your second patch (about mktemp options). According to
>> mktemp's man page [1], -dap options don't exist.
>>
>> [1]
>> http://www.freebsd.org/cgi/man.cgi?query=mktemp&manpath=FreeBSD+9.1-RELEASE
>>
>> --
>> olivier
>
>



-- 
olivier
Comment 5 Olivier Duchateau freebsd_committer 2013-03-03 08:05:20 UTC
Responsible Changed
From-To: freebsd-xfce->olivierd

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-03-03 15:42:07 UTC
Author: olivierd
Date: Sun Mar  3 15:41:59 2013
New Revision: 313362
URL: http://svnweb.freebsd.org/changeset/ports/313362

Log:
  - Fix stat option in appearance-install-theme script
  
  PR:	168746
  Submitted by:	Akira Noda
  Approved by:	rene, miwi (mentors, implicit)

Added:
  head/sysutils/xfce4-settings/files/
  head/sysutils/xfce4-settings/files/patch-dialogs__appearance-settings__appearance-install-theme   (contents, props changed)
Modified:
  head/sysutils/xfce4-settings/Makefile

Modified: head/sysutils/xfce4-settings/Makefile
==============================================================================
--- head/sysutils/xfce4-settings/Makefile	Sun Mar  3 15:29:34 2013	(r313361)
+++ head/sysutils/xfce4-settings/Makefile	Sun Mar  3 15:41:59 2013	(r313362)
@@ -4,7 +4,7 @@
 
 PORTNAME=	xfce4-settings
 PORTVERSION=	4.10.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	sysutils xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 DIST_SUBDIR=	xfce4

Added: head/sysutils/xfce4-settings/files/patch-dialogs__appearance-settings__appearance-install-theme
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xfce4-settings/files/patch-dialogs__appearance-settings__appearance-install-theme	Sun Mar  3 15:41:59 2013	(r313362)
@@ -0,0 +1,24 @@
+--- ./dialogs/appearance-settings/appearance-install-theme.orig	2012-04-28 20:48:30.000000000 +0000
++++ ./dialogs/appearance-settings/appearance-install-theme	2013-02-18 21:08:13.000000000 +0000
+@@ -89,7 +89,11 @@
+ 
+ # check file size, abort if bigger then 50Mb, only works for files
+ if test x"`which stat 2>/dev/null`" != x""; then
+-    dndsize=`stat -c %s "$dndfilename"`
++    if test "`uname -s`" = "Linux"; then
++        dndsize=`stat -c %s "$dndfilename"`
++    elif test "`uname -s`" = "FreeBSD"; then
++        dndsize=`stat -f %z "$dndfilename"`
++    fi
+     if test "$dndsize" -gt 52428800; then
+         # 2: File too big
+         exit 2
+@@ -140,7 +144,7 @@
+     detectthemes "gtk-2.0/gtkrc"
+ 
+     # install gtk-3.0 themes
+-    detectthemes "gtk-3.0/gtkrc"
++    detectthemes "gtk-3.0/gtk.css"
+ 
+     # install xfwm4 themes
+     detectthemes "xfwm4/themerc"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Olivier Duchateau freebsd_committer 2013-03-03 16:58:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!